<?php

	$summer_camp_custom_css= "";
/*----------------------First highlight color-------------------*/

	$summer_camp_first_color = get_theme_mod('summer_camp_first_color');

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='.more-btn a:hover,input[type="submit"]:hover,#comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.pagination .current,.pagination a:hover,#footer .tagcloud a:hover,#sidebar .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover,nav.woocommerce-MyAccount-navigation ul li:hover,.main-navigation ul.sub-menu>li>a:before, #slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #service-section .owl-nav button:hover i, #preloader, #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, .pagination span, .pagination a, .widget_product_search button, .woocommerce span.onsale, .toggle-nav button, .breadcrumbs a:hover, .breadcrumbs span,.nav-previous a,.nav-next a,#sidebar ul li::before,.wp-block-tag-cloud a:hover,span.post-page-numbers.current,span.post-page-numbers.current,.post-nav-links a,#sidebar h3:before, #sidebar .widget_block h3:before, #sidebar h2:before, #sidebar label.wp-block-search__label:before,.search-box i, span.cart_no i,#footer input[type="submit"],.slider-btn a, .about-btn a,#about-sec h3:after,.feature-box .icon i{';
			$summer_camp_custom_css .='background-color: '.esc_attr($summer_camp_first_color).';';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity,#sidebar .wp-block-search .wp-block-search__button:hover, #comments input[type="submit"]:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .widget_product_search button:hover, .woocommerce button.button:disabled:hover, .woocommerce button.button:disabled[disabled]:hover, .woocommerce a.added_to_cart.wc-forward:hover,#sidebar ul li::before{';
			$summer_camp_custom_css .='background-color: '.esc_attr($summer_camp_first_color).'!important;';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='#service-section strong, #service-section .owl-nav button i, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h2 a, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus,.wp-block-quote, .wp-block-quote:not(.is-large):not(.is-style-large), .wp-block-pullquote,.sticky .post-main-box h2:before,.main-navigation ul ul li a:hover, .main-navigation li a:focus, .main-navigation ul ul a:focus, .main-navigation ul ul a:hover,.main-navigation a:hover,.main-navigation .current_page_item a,p.site-title a:hover, .logo h1 a:hover,.top-header a.phone i, .top-header a.email i,#about-sec strong,.logged-in-as a, .woocommerce-MyAccount-content a{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_first_color).' !important;';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='.middle-align a{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_first_color).';';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='#slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, #service-section .owl-nav button i,.wp-block-quote, .wp-block-quote:not(.is-large):not(.is-style-large), .wp-block-pullquote,#sidebar .widget,.main-navigation ul ul,.feature-box:hover .classes-inner-box img{';
			$summer_camp_custom_css .='border-color: '.esc_attr($summer_camp_first_color).';';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='.main-navigation .current_page_item a{';
			$summer_camp_custom_css .='border-top-color: '.esc_attr($summer_camp_first_color).';';
		$summer_camp_custom_css .='}';
	}

	if($summer_camp_first_color != false){
		$summer_camp_custom_css .='a:focus span, a:focus, input[type="text"]:focus, input[type="email"]:focus, input[type="phno"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="tel"]:focus, textarea:focus, input[type="submit"]:focus, #comments:focus, select:focus, button:focus, .main-navigation ul ul a:focus, .toggle-nav button:focus, .main-navigation a:focus, .toggle-nav button:focus, #footer a:focus, .serach_inner input[type="submit"]:focus, button.close:focus{';
			$summer_camp_custom_css .='outline: 3px solid'.esc_attr($summer_camp_first_color).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_custom_css .='@media screen and (max-width:1000px) {';
		if($summer_camp_first_color != false){
			$summer_camp_custom_css .='.main-navigation a:hover{
			color:'.esc_attr($summer_camp_first_color).'!important;
			}';
		}
	$summer_camp_custom_css .='}';

	$summer_camp_custom_css .='@media screen and (max-width:768px) {';
		if($summer_camp_first_color != false){
			$summer_camp_custom_css .='.page-template-custom-home-page .main-header{
			border-bottom-color:'.esc_attr($summer_camp_first_color).'!important;
			}';
		}
	$summer_camp_custom_css .='}';


	/*---------------------------Width Layout -------------------*/

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_width_option','Full Width');
    if($summer_camp_theme_lay == 'Boxed'){
		$summer_camp_custom_css .='body{';
			$summer_camp_custom_css .='max-width: 1140px; width: 100%; margin-right: auto; margin-left: auto;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='right: 100px;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.row.outer-logo{';
			$summer_camp_custom_css .='margin-left: 0px;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_theme_lay == 'Wide Width'){
		$summer_camp_custom_css .='body{';
			$summer_camp_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='right: 30px;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.row.outer-logo{';
			$summer_camp_custom_css .='margin-left: 0px;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_theme_lay == 'Full Width'){
		$summer_camp_custom_css .='body{';
			$summer_camp_custom_css .='max-width: 100%;';
		$summer_camp_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$summer_camp_resp_slider = get_theme_mod( 'summer_camp_resp_slider_hide_show',true);
	if($summer_camp_resp_slider == true && get_theme_mod( 'summer_camp_slider_hide_show', true) == false){
    	$summer_camp_custom_css .='#slider{';
			$summer_camp_custom_css .='display:none;';
		$summer_camp_custom_css .='} ';
	}
    if($summer_camp_resp_slider == true){
    	$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='#slider{';
			$summer_camp_custom_css .='display:block;';
		$summer_camp_custom_css .='} }';
	}else if($summer_camp_resp_slider == false){
		$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='#slider{';
			$summer_camp_custom_css .='display:none;';
		$summer_camp_custom_css .='} }';
		$summer_camp_custom_css .='@media screen and (max-width:575px){';
		$summer_camp_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$summer_camp_custom_css .='margin-top: 45px;';
		$summer_camp_custom_css .='} }';
	}

	$summer_camp_resp_sidebar = get_theme_mod( 'summer_camp_sidebar_hide_show',true);
    if($summer_camp_resp_sidebar == true){
    	$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='#sidebar{';
			$summer_camp_custom_css .='display:block;';
		$summer_camp_custom_css .='} }';
	}else if($summer_camp_resp_sidebar == false){
		$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='#sidebar{';
			$summer_camp_custom_css .='display:none;';
		$summer_camp_custom_css .='} }';
	}

	$summer_camp_resp_scroll_top = get_theme_mod( 'summer_camp_resp_scroll_top_hide_show',true);
	if($summer_camp_resp_scroll_top == true && get_theme_mod( 'summer_camp_hide_show_scroll',true) == false){
    	$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='visibility:hidden !important;';
		$summer_camp_custom_css .='} ';
	}
    if($summer_camp_resp_scroll_top == true){
    	$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='visibility:visible !important;';
		$summer_camp_custom_css .='} }';
	}else if($summer_camp_resp_scroll_top == false){
		$summer_camp_custom_css .='@media screen and (max-width:575px){';
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='visibility:hidden !important;';
		$summer_camp_custom_css .='} }';
	}

	/*---------------------------Slider Height ------------*/

	$summer_camp_slider_height = get_theme_mod('summer_camp_slider_height');
	if($summer_camp_slider_height != false){
		$summer_camp_custom_css .='#slider img{';
			$summer_camp_custom_css .='height: '.esc_attr($summer_camp_slider_height).';';
		$summer_camp_custom_css .='}';
	}
	
	/*------------- Slider Content Padding Settings ------------------*/

	$summer_camp_slider_content_padding_top_bottom = get_theme_mod('summer_camp_slider_content_padding_top_bottom');
	$summer_camp_slider_content_padding_left_right = get_theme_mod('summer_camp_slider_content_padding_left_right');
	if($summer_camp_slider_content_padding_top_bottom != false || $summer_camp_slider_content_padding_left_right != false){
		$summer_camp_custom_css .='#slider .carousel-caption{';
			$summer_camp_custom_css .='top: '.esc_attr($summer_camp_slider_content_padding_top_bottom).'; bottom: '.esc_attr($summer_camp_slider_content_padding_top_bottom).';left: '.esc_attr($summer_camp_slider_content_padding_left_right).';right: '.esc_attr($summer_camp_slider_content_padding_left_right).';';
		$summer_camp_custom_css .='}';
	}

	/*------------- Preloader Background Color  -------------------*/

	$summer_camp_preloader_bg_color = get_theme_mod('summer_camp_preloader_bg_color');
	if($summer_camp_preloader_bg_color != false){
		$summer_camp_custom_css .='#preloader{';
			$summer_camp_custom_css .='background-color: '.esc_attr($summer_camp_preloader_bg_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_preloader_border_color = get_theme_mod('summer_camp_preloader_border_color');
	if($summer_camp_preloader_border_color != false){
		$summer_camp_custom_css .='.loader-line{';
			$summer_camp_custom_css .='border-color: '.esc_attr($summer_camp_preloader_border_color).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_preloader_bg_img = get_theme_mod('summer_camp_preloader_bg_img');
	if($summer_camp_preloader_bg_img != false){
		$summer_camp_custom_css .='#preloader{';
			$summer_camp_custom_css .='background: url('.esc_attr($summer_camp_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$summer_camp_custom_css .='}';
	}

	/*------------- Slider ------------*/

	$summer_camp_slider = get_theme_mod('summer_camp_slider_hide_show', false);
	if($summer_camp_slider == false){
		$summer_camp_custom_css .='.page-template-custom-home-page .main-header{';
			$summer_camp_custom_css .='position: static;';
		$summer_camp_custom_css .='}';
	}

	
	$summer_camp_slider_first_color = get_theme_mod('summer_camp_slider_first_color');

	$summer_camp_slider_second_color = get_theme_mod('summer_camp_slider_second_color');

	if($summer_camp_slider_first_color != false || $summer_camp_slider_second_color != false){
		$summer_camp_custom_css .='#slider .image-overlay{
		background: linear-gradient(96deg, '.esc_attr($summer_camp_slider_first_color).' 38%, '.esc_attr($summer_camp_slider_second_color).' 100%);
		}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_slider_opacity_color','');
	if($summer_camp_theme_lay == '0'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.1'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.1';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.2'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.2';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.3'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.3';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.4'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.4';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.5'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.5';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.6'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.6';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.7'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.7';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.8'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.8';
		$summer_camp_custom_css .='}';
		}else if($summer_camp_theme_lay == '0.9'){
		$summer_camp_custom_css .='#slider .image-overlay{';
			$summer_camp_custom_css .='opacity:0.9';
		$summer_camp_custom_css .='}';
		}

	/*-------------- Copyright Alignment ----------------*/

	$summer_camp_copyright_background_color = get_theme_mod('summer_camp_copyright_background_color');
	if($summer_camp_copyright_background_color != false){
		$summer_camp_custom_css .='#footer-2{';
			$summer_camp_custom_css .='background-color: '.esc_attr($summer_camp_copyright_background_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_resp_stickycopyright = get_theme_mod( 'summer_camp_stickycopyright_hide_show',false);
	if($summer_camp_resp_stickycopyright == true && get_theme_mod( 'summer_camp_copyright_sticky',false) != true){
    	$summer_camp_custom_css .='.copyright-sticky{';
			$summer_camp_custom_css .='position:static;';
		$summer_camp_custom_css .='} ';
	}

	$summer_camp_footer_social_icons_font_size = get_theme_mod('summer_camp_footer_social_icons_font_size','16');
	$summer_camp_custom_css .='.copyright .widget i{';
		$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_footer_social_icons_font_size).'px;';
	$summer_camp_custom_css .='}';

	$summer_camp_footer_background_image = get_theme_mod('summer_camp_footer_background_image');
	if($summer_camp_footer_background_image != false){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background: url('.esc_attr($summer_camp_footer_background_image).')no-repeat;background-size:cover';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_img_footer','scroll');
	if($summer_camp_theme_lay == 'fixed'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background-attachment: fixed !important; background-position: center !important;';
		$summer_camp_custom_css .='}';
	}elseif ($summer_camp_theme_lay == 'scroll'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background-attachment: scroll !important; background-position: center !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_img_position = get_theme_mod('summer_camp_footer_img_position','center center');
	if($summer_camp_footer_img_position != false){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background-position: '.esc_attr($summer_camp_footer_img_position).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_widgets_heading = get_theme_mod( 'summer_camp_footer_widgets_heading','Left');
    if($summer_camp_footer_widgets_heading == 'Left'){
		$summer_camp_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$summer_camp_custom_css .='text-align: left;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_footer_widgets_heading == 'Center'){
		$summer_camp_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$summer_camp_custom_css .='text-align: center;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_footer_widgets_heading == 'Right'){
		$summer_camp_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$summer_camp_custom_css .='text-align: right;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_widgets_content = get_theme_mod( 'summer_camp_footer_widgets_content','Left');
    if($summer_camp_footer_widgets_content == 'Left'){
		$summer_camp_custom_css .='#footer .widget{';
		$summer_camp_custom_css .='text-align: left;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_footer_widgets_content == 'Center'){
		$summer_camp_custom_css .='#footer .widget{';
			$summer_camp_custom_css .='text-align: center;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_footer_widgets_content == 'Right'){
		$summer_camp_custom_css .='#footer .widget{';
			$summer_camp_custom_css .='text-align: right;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_copyright_font_size = get_theme_mod('summer_camp_copyright_font_size');
	if($summer_camp_copyright_font_size != false){
		$summer_camp_custom_css .='#footer-2 a, #footer-2 p{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_copyright_font_size).';';
		$summer_camp_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$summer_camp_align_footer_social_icon = get_theme_mod('summer_camp_align_footer_social_icon');
	if($summer_camp_align_footer_social_icon != false){
		$summer_camp_custom_css .='.copyright .widget{';
			$summer_camp_custom_css .='text-align: '.esc_attr($summer_camp_align_footer_social_icon).';';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$summer_camp_custom_css .='text-align: center;} }';
	}

	$summer_camp_copyright_alingment = get_theme_mod('summer_camp_copyright_alingment');
	if($summer_camp_copyright_alingment != false){
		$summer_camp_custom_css .='.copyright p,#footer-2 .copyright p{';
			$summer_camp_custom_css .='text-align: '.esc_attr($summer_camp_copyright_alingment).';';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 .copyright p{';
			$summer_camp_custom_css .='text-align: center;} }';
	}

	$summer_camp_copyright_padding_top_bottom = get_theme_mod('summer_camp_copyright_padding_top_bottom');
	if($summer_camp_copyright_padding_top_bottom != false){
		$summer_camp_custom_css .='#footer-2{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($summer_camp_copyright_padding_top_bottom).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_padding = get_theme_mod('summer_camp_footer_padding');
	if($summer_camp_footer_padding != false){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='padding: '.esc_attr($summer_camp_footer_padding).' 0;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_icon = get_theme_mod('summer_camp_footer_icon');
	if($summer_camp_footer_icon == false){
		$summer_camp_custom_css .='#footer-2 p{';
			$summer_camp_custom_css .='width:100%; text-align:center; float:none;';
		$summer_camp_custom_css .='}';
	}

	/*----------------Scroll to top Settings ------------------*/

	$summer_camp_scroll_to_top_font_size = get_theme_mod('summer_camp_scroll_to_top_font_size');
	if($summer_camp_scroll_to_top_font_size != false){
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_scroll_to_top_font_size).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_scroll_to_top_padding = get_theme_mod('summer_camp_scroll_to_top_padding');
	$summer_camp_scroll_to_top_padding = get_theme_mod('summer_camp_scroll_to_top_padding');
	if($summer_camp_scroll_to_top_padding != false){
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_scroll_to_top_padding).';padding-bottom: '.esc_attr($summer_camp_scroll_to_top_padding).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_scroll_to_top_width = get_theme_mod('summer_camp_scroll_to_top_width');
	if($summer_camp_scroll_to_top_width != false){
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='width: '.esc_attr($summer_camp_scroll_to_top_width).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_scroll_to_top_height = get_theme_mod('summer_camp_scroll_to_top_height');
	if($summer_camp_scroll_to_top_height != false){
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='height: '.esc_attr($summer_camp_scroll_to_top_height).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_scroll_to_top_border_radius = get_theme_mod('summer_camp_scroll_to_top_border_radius');
	if($summer_camp_scroll_to_top_border_radius != false){
		$summer_camp_custom_css .='.scrollup i{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_scroll_to_top_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$summer_camp_logo_padding = get_theme_mod('summer_camp_logo_padding');
	if($summer_camp_logo_padding != false){
		$summer_camp_custom_css .='.logo{';
			$summer_camp_custom_css .='padding: '.esc_attr($summer_camp_logo_padding).' !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_logo_margin = get_theme_mod('summer_camp_logo_margin');
	if($summer_camp_logo_margin != false){
		$summer_camp_custom_css .='.logo{';
			$summer_camp_custom_css .='margin: '.esc_attr($summer_camp_logo_margin).';';
		$summer_camp_custom_css .='}';
	}

	// Site title Font Size
	$summer_camp_site_title_font_size = get_theme_mod('summer_camp_site_title_font_size');
	if($summer_camp_site_title_font_size != false){
		$summer_camp_custom_css .='.logo p.site-title, .logo h1{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_site_title_font_size).';';
		$summer_camp_custom_css .='}';
	}

	// Site tagline Font Size
	$summer_camp_site_tagline_font_size = get_theme_mod('summer_camp_site_tagline_font_size');
	if($summer_camp_site_tagline_font_size != false){
		$summer_camp_custom_css .='.logo p.site-description{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_site_tagline_font_size).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_site_title_color = get_theme_mod('summer_camp_site_title_color');
	if($summer_camp_site_title_color != false){
		$summer_camp_custom_css .='p.site-title a, .logo h1 a{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_site_title_color).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_site_tagline_color = get_theme_mod('summer_camp_site_tagline_color');
	if($summer_camp_site_tagline_color != false){
		$summer_camp_custom_css .='.logo p.site-description{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_site_tagline_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_logo_width = get_theme_mod('summer_camp_logo_width');
	if($summer_camp_logo_width != false){
		$summer_camp_custom_css .='.logo img{';
			$summer_camp_custom_css .='width: '.esc_attr($summer_camp_logo_width).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_logo_height = get_theme_mod('summer_camp_logo_height');
	if($summer_camp_logo_height != false){
		$summer_camp_custom_css .='.logo img{';
			$summer_camp_custom_css .='height: '.esc_attr($summer_camp_logo_height).';';
		$summer_camp_custom_css .='}';
	}

	// Header Background Color
	$summer_camp_header_background_color = get_theme_mod('summer_camp_header_background_color');
	if($summer_camp_header_background_color != false){
		$summer_camp_custom_css .='.page-template-custom-home-page .home-page-header, .home-page-header{';
			$summer_camp_custom_css .='background-color: '.esc_attr($summer_camp_header_background_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_header_img_position = get_theme_mod('summer_camp_header_img_position','center top');
	if($summer_camp_header_img_position != false){
		$summer_camp_custom_css .='.page-template-custom-home-page .home-page-header, .home-page-header{';
			$summer_camp_custom_css .='background-position: '.esc_attr($summer_camp_header_img_position).'!important;';
		$summer_camp_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_blog_layout_option','Default');
    if($summer_camp_theme_lay == 'Default'){
		$summer_camp_custom_css .='.post-main-box{';
			$summer_camp_custom_css .='';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_theme_lay == 'Center'){
		$summer_camp_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$summer_camp_custom_css .='text-align:center;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.post-info{';
			$summer_camp_custom_css .='margin-top:10px;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.post-info hr{';
			$summer_camp_custom_css .='margin:15px auto;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_theme_lay == 'Left'){
		$summer_camp_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$summer_camp_custom_css .='text-align:Left;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.post-info hr{';
			$summer_camp_custom_css .='margin-bottom:10px;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.post-main-box h2{';
			$summer_camp_custom_css .='margin-top:10px;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='.service-text .more-btn{';
			$summer_camp_custom_css .='display:inline-block;';
		$summer_camp_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$summer_camp_blog_page_posts_settings = get_theme_mod( 'summer_camp_blog_page_posts_settings','Into Blocks');
    if($summer_camp_blog_page_posts_settings == 'Without Blocks'){
		$summer_camp_custom_css .='.post-main-box{';
			$summer_camp_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$summer_camp_custom_css .='}';
	}

	// featured image dimention
	$summer_camp_blog_post_featured_image_dimension = get_theme_mod('summer_camp_blog_post_featured_image_dimension', 'default');
	$summer_camp_blog_post_featured_image_custom_width = get_theme_mod('summer_camp_blog_post_featured_image_custom_width',250);
	$summer_camp_blog_post_featured_image_custom_height = get_theme_mod('summer_camp_blog_post_featured_image_custom_height',250);
	if($summer_camp_blog_post_featured_image_dimension == 'custom'){
		$summer_camp_custom_css .='.post-main-box img{';
			$summer_camp_custom_css .='width: '.esc_attr($summer_camp_blog_post_featured_image_custom_width).'!important; height: '.esc_attr($summer_camp_blog_post_featured_image_custom_height).';';
		$summer_camp_custom_css .='}';
	}

	/*---------------- Posts Settings ------------------*/

	$summer_camp_featured_image_border_radius = get_theme_mod('summer_camp_featured_image_border_radius', 0);
	if($summer_camp_featured_image_border_radius != false){
		$summer_camp_custom_css .='.box-image img, .feature-box img{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_featured_image_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_featured_image_box_shadow = get_theme_mod('summer_camp_featured_image_box_shadow',0);
	if($summer_camp_featured_image_box_shadow != false){
		$summer_camp_custom_css .='.box-image img, #content-vw img{';
			$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_featured_image_box_shadow).'px '.esc_attr($summer_camp_featured_image_box_shadow).'px '.esc_attr($summer_camp_featured_image_box_shadow).'px #cccccc;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_singlepost_image_box_shadow = get_theme_mod('summer_camp_singlepost_image_box_shadow',0);
	if($summer_camp_singlepost_image_box_shadow != false){
		$summer_camp_custom_css .='.feature-box img{';
			$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_singlepost_image_box_shadow).'px '.esc_attr($summer_camp_singlepost_image_box_shadow).'px '.esc_attr($summer_camp_singlepost_image_box_shadow).'px #cccccc;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_related_image_box_shadow = get_theme_mod('summer_camp_related_image_box_shadow',0);
	if($summer_camp_related_image_box_shadow != false){
		$summer_camp_custom_css .='.related-post .box-image img{';
			$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_related_image_box_shadow).'px '.esc_attr($summer_camp_related_image_box_shadow).'px '.esc_attr($summer_camp_related_image_box_shadow).'px #cccccc;';
		$summer_camp_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$summer_camp_button_letter_spacing = get_theme_mod('summer_camp_button_letter_spacing');
	$summer_camp_custom_css .='.post-main-box .more-btn{';
		$summer_camp_custom_css .='letter-spacing: '.esc_attr($summer_camp_button_letter_spacing).';';
	$summer_camp_custom_css .='}';

	$summer_camp_button_border_radius = get_theme_mod('summer_camp_button_border_radius');
	if($summer_camp_button_border_radius != false){
		$summer_camp_custom_css .='.post-main-box .more-btn a{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_button_border_radius).'px !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_button_top_bottom_padding = get_theme_mod('summer_camp_button_top_bottom_padding');
	$summer_camp_button_left_right_padding = get_theme_mod('summer_camp_button_left_right_padding');
	if($summer_camp_button_top_bottom_padding != false || $summer_camp_button_left_right_padding != false){
		$summer_camp_custom_css .='.post-main-box .more-btn{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_button_top_bottom_padding).'!important; padding-bottom: '.esc_attr($summer_camp_button_top_bottom_padding).'!important;padding-left: '.esc_attr($summer_camp_button_left_right_padding).'!important;padding-right: '.esc_attr($summer_camp_button_left_right_padding).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_button_font_size = get_theme_mod('summer_camp_button_font_size',14);
	$summer_camp_custom_css .='.post-main-box .more-btn a{';
		$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_button_font_size).';';
	$summer_camp_custom_css .='}';

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_button_text_transform','Capitalize');
	if($summer_camp_theme_lay == 'Capitalize'){
		$summer_camp_custom_css .='.post-main-box .more-btn a{';
			$summer_camp_custom_css .='text-transform:Capitalize;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Lowercase'){
		$summer_camp_custom_css .='.post-main-box .more-btn a{';
			$summer_camp_custom_css .='text-transform:Lowercase;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Uppercase'){
		$summer_camp_custom_css .='.post-main-box .more-btn a{';
			$summer_camp_custom_css .='text-transform:Uppercase;';
		$summer_camp_custom_css .='}';
	}

	// button font weight
	$summer_camp_button_font_weight = get_theme_mod('summer_camp_button_font_weight');
  	$summer_camp_custom_css .='.more-btn a{';
    $summer_camp_custom_css .='font-weight: '.esc_attr($summer_camp_button_font_weight).'!important;';
  	$summer_camp_custom_css .='}';

	//Button hover effect
	$summer_camp_button_hover_effect = get_theme_mod('summer_camp_button_hover_effect', 'disable');
	if ($summer_camp_button_hover_effect !== 'disable') {
		$summer_camp_custom_css .= '.more-btn a:hover {';
		switch ($summer_camp_button_hover_effect) {
			case 'pulse':
				$summer_camp_custom_css .= 'animation: pulse 0.5s ease-in-out !important;';
				break;
			case 'rubberBand':
				$summer_camp_custom_css .= 'animation: rubberBand 0.5s ease-in-out !important;';
				break;
			case 'swing':
				$summer_camp_custom_css .= 'animation: swing 0.5s ease-in-out !important;';
				break;
			case 'tada':
				$summer_camp_custom_css .= 'animation: tada 0.5s ease-in-out !important;';
				break;
			case 'jello':
				$summer_camp_custom_css .= 'animation: jello 0.5s ease-in-out!important;';
				break;
		}
		$summer_camp_custom_css .= '}';
	}

	/*---------------- Single Blog Page Settings ------------------*/

	$summer_camp_single_blog_comment_button_text = get_theme_mod('summer_camp_single_blog_comment_button_text', 'Post Comment');
	if($summer_camp_single_blog_comment_button_text == ''){
		$summer_camp_custom_css .='#comments p.form-submit {';
			$summer_camp_custom_css .='display: none;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_comment_width = get_theme_mod('summer_camp_single_blog_comment_width');
	if($summer_camp_comment_width != false){
		$summer_camp_custom_css .='#comments textarea{';
			$summer_camp_custom_css .='width: '.esc_attr($summer_camp_comment_width).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_single_blog_post_navigation_show_hide = get_theme_mod('summer_camp_single_blog_post_navigation_show_hide',true);
	if($summer_camp_single_blog_post_navigation_show_hide != true){
		$summer_camp_custom_css .='.post-navigation{';
			$summer_camp_custom_css .='display: none;';
		$summer_camp_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$summer_camp_display_grid_posts_settings = get_theme_mod( 'summer_camp_display_grid_posts_settings','Into Blocks');
    if($summer_camp_display_grid_posts_settings == 'Without Blocks'){
		$summer_camp_custom_css .='.grid-post-main-box{';
			$summer_camp_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_grid_featured_image_box_shadow = get_theme_mod('summer_camp_grid_featured_image_box_shadow',0);
	if($summer_camp_grid_featured_image_box_shadow != false){
		$summer_camp_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px #cccccc;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_grid_featured_image_border_radius = get_theme_mod('summer_camp_grid_featured_image_border_radius', 0);
	if($summer_camp_grid_featured_image_border_radius != false){
		$summer_camp_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_grid_featured_image_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$summer_camp_related_product_show_hide = get_theme_mod('summer_camp_related_product_show_hide',true);
	if($summer_camp_related_product_show_hide != true){
		$summer_camp_custom_css .='.related.products{';
			$summer_camp_custom_css .='display: none;';
		$summer_camp_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$summer_camp_products_padding_top_bottom = get_theme_mod('summer_camp_products_padding_top_bottom');
	if($summer_camp_products_padding_top_bottom != false){
		$summer_camp_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($summer_camp_products_padding_top_bottom).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_padding_left_right = get_theme_mod('summer_camp_products_padding_left_right');
	if($summer_camp_products_padding_left_right != false){
		$summer_camp_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$summer_camp_custom_css .='padding-left: '.esc_attr($summer_camp_products_padding_left_right).'!important; padding-right: '.esc_attr($summer_camp_products_padding_left_right).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_box_shadow = get_theme_mod('summer_camp_products_box_shadow');
	if($summer_camp_products_box_shadow != false){
		$summer_camp_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_products_box_shadow).'px '.esc_attr($summer_camp_products_box_shadow).'px '.esc_attr($summer_camp_products_box_shadow).'px #ddd;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_border_radius = get_theme_mod('summer_camp_products_border_radius');
	if($summer_camp_products_border_radius != false){
		$summer_camp_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_products_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_btn_padding_top_bottom = get_theme_mod('summer_camp_products_btn_padding_top_bottom');
	if($summer_camp_products_btn_padding_top_bottom != false){
		$summer_camp_custom_css .='.woocommerce a.button{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($summer_camp_products_btn_padding_top_bottom).' !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_btn_padding_left_right = get_theme_mod('summer_camp_products_btn_padding_left_right');
	if($summer_camp_products_btn_padding_left_right != false){
		$summer_camp_custom_css .='.woocommerce a.button{';
			$summer_camp_custom_css .='padding-left: '.esc_attr($summer_camp_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($summer_camp_products_btn_padding_left_right).' !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_products_button_border_radius = get_theme_mod('summer_camp_products_button_border_radius', 0);
	if($summer_camp_products_button_border_radius != false){
		$summer_camp_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce a.button{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_products_button_border_radius).'px !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_woocommerce_sale_position = get_theme_mod( 'summer_camp_woocommerce_sale_position','right');
    if($summer_camp_woocommerce_sale_position == 'left'){
		$summer_camp_custom_css .='.woocommerce ul.products li.product .onsale{';
			$summer_camp_custom_css .='left: 12px !important; right: auto !important;';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_woocommerce_sale_position == 'right'){
		$summer_camp_custom_css .='.woocommerce ul.products li.product .onsale{';
			$summer_camp_custom_css .='left: auto!important; right: 0 !important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_woocommerce_sale_font_size = get_theme_mod('summer_camp_woocommerce_sale_font_size');
	if($summer_camp_woocommerce_sale_font_size != false){
		$summer_camp_custom_css .='.woocommerce span.onsale{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_woocommerce_sale_font_size).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_woocommerce_sale_padding_top_bottom = get_theme_mod('summer_camp_woocommerce_sale_padding_top_bottom');
	if($summer_camp_woocommerce_sale_padding_top_bottom != false){
		$summer_camp_custom_css .='.woocommerce span.onsale{';
			$summer_camp_custom_css .='padding-top: '.esc_attr($summer_camp_woocommerce_sale_padding_top_bottom).'; padding-bottom: '.esc_attr($summer_camp_woocommerce_sale_padding_top_bottom).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_woocommerce_sale_padding_left_right = get_theme_mod('summer_camp_woocommerce_sale_padding_left_right');
	if($summer_camp_woocommerce_sale_padding_left_right != false){
		$summer_camp_custom_css .='.woocommerce span.onsale{';
			$summer_camp_custom_css .='padding-left: '.esc_attr($summer_camp_woocommerce_sale_padding_left_right).'; padding-right: '.esc_attr($summer_camp_woocommerce_sale_padding_left_right).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_woocommerce_sale_border_radius = get_theme_mod('summer_camp_woocommerce_sale_border_radius', 0);
	if($summer_camp_woocommerce_sale_border_radius != false){
		$summer_camp_custom_css .='.woocommerce span.onsale{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_woocommerce_sale_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$summer_camp_social_icon_font_size = get_theme_mod('summer_camp_social_icon_font_size');
	if($summer_camp_social_icon_font_size != false){
		$summer_camp_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_social_icon_font_size).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_social_icon_padding = get_theme_mod('summer_camp_social_icon_padding');
	if($summer_camp_social_icon_padding != false){
		$summer_camp_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$summer_camp_custom_css .='padding: '.esc_attr($summer_camp_social_icon_padding).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_social_icon_width = get_theme_mod('summer_camp_social_icon_width');
	if($summer_camp_social_icon_width != false){
		$summer_camp_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$summer_camp_custom_css .='width: '.esc_attr($summer_camp_social_icon_width).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_social_icon_height = get_theme_mod('summer_camp_social_icon_height');
	if($summer_camp_social_icon_height != false){
		$summer_camp_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$summer_camp_custom_css .='height: '.esc_attr($summer_camp_social_icon_height).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_social_icon_border_radius = get_theme_mod('summer_camp_social_icon_border_radius');
	if($summer_camp_social_icon_border_radius != false){
		$summer_camp_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$summer_camp_custom_css .='border-radius: '.esc_attr($summer_camp_social_icon_border_radius).'px;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_resp_menu_toggle_btn_bg_color = get_theme_mod('summer_camp_resp_menu_toggle_btn_bg_color');
	if($summer_camp_resp_menu_toggle_btn_bg_color != false){
		$summer_camp_custom_css .='.toggle-nav i,.sidenav .closebtn, .left-menu .closebtn{';
			$summer_camp_custom_css .='background: '.esc_attr($summer_camp_resp_menu_toggle_btn_bg_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_grid_featured_image_box_shadow = get_theme_mod('summer_camp_grid_featured_image_box_shadow',0);
	if($summer_camp_grid_featured_image_box_shadow != false){
		$summer_camp_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$summer_camp_custom_css .='box-shadow: '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px '.esc_attr($summer_camp_grid_featured_image_box_shadow).'px #cccccc;';
		$summer_camp_custom_css .='}';
	}

	/*-------------- Menus Setings ----------------*/

	$summer_camp_navigation_menu_font_size = get_theme_mod('summer_camp_navigation_menu_font_size');
	if($summer_camp_navigation_menu_font_size != false){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_navigation_menu_font_size).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_navigation_menu_font_weight = get_theme_mod('summer_camp_navigation_menu_font_weight','700');
	if($summer_camp_navigation_menu_font_weight != false){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='font-weight: '.esc_attr($summer_camp_navigation_menu_font_weight).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_menu_text_transform','Capitalize');
	if($summer_camp_theme_lay == 'Capitalize'){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='text-transform:Capitalize;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Lowercase'){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='text-transform:Lowercase;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Uppercase'){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='text-transform:Uppercase;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_header_menus_color = get_theme_mod('summer_camp_header_menus_color');
	if($summer_camp_header_menus_color != false){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_header_menus_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_header_menus_hover_color = get_theme_mod('summer_camp_header_menus_hover_color');
	if($summer_camp_header_menus_hover_color != false){
		$summer_camp_custom_css .='.main-navigation ul a:hover{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_header_menus_hover_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_header_submenus_color = get_theme_mod('summer_camp_header_submenus_color');
	if($summer_camp_header_submenus_color != false){
		$summer_camp_custom_css .='.main-navigation ul ul a{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_header_submenus_color).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_header_submenus_hover_color = get_theme_mod('summer_camp_header_submenus_hover_color');
	if($summer_camp_header_submenus_hover_color != false){
		$summer_camp_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$summer_camp_custom_css .='color: '.esc_attr($summer_camp_header_submenus_hover_color).'!important;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_menus_item = get_theme_mod( 'summer_camp_menus_item_style','None');
    if($summer_camp_menus_item == 'None'){
		$summer_camp_custom_css .='.main-navigation ul a{';
			$summer_camp_custom_css .='';
		$summer_camp_custom_css .='}';
	}else if($summer_camp_menus_item == 'Zoom In'){
		$summer_camp_custom_css .='.main-navigation ul a:hover{';
			$summer_camp_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$summer_camp_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_footer_template','summer_camp-footer-one');
    if($summer_camp_theme_lay == 'summer_camp-footer-one'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='';
		$summer_camp_custom_css .='}';

	}else if($summer_camp_theme_lay == 'summer_camp-footer-two'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$summer_camp_custom_css .='color:#000;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer ul li::before{';
			$summer_camp_custom_css .='background:#000;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$summer_camp_custom_css .='border: 1px solid #000;';
		$summer_camp_custom_css .='}';

	}else if($summer_camp_theme_lay == 'summer_camp-footer-three'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background: #232524;';
		$summer_camp_custom_css .='}';
	}
	else if($summer_camp_theme_lay == 'summer_camp-footer-four'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background: #ff9b24;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$summer_camp_custom_css .='color:#fff;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer ul li::before{';
			$summer_camp_custom_css .='background:#fff;';
		$summer_camp_custom_css .='}';
		$summer_camp_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$summer_camp_custom_css .='border: 1px solid #fff;';
		$summer_camp_custom_css .='}';
	}
	else if($summer_camp_theme_lay == 'summer_camp-footer-five'){
		$summer_camp_custom_css .='#footer{';
			$summer_camp_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$summer_camp_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$summer_camp_button_footer_heading_letter_spacing = get_theme_mod('summer_camp_button_footer_heading_letter_spacing',1);
	$summer_camp_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$summer_camp_custom_css .='letter-spacing: '.esc_attr($summer_camp_button_footer_heading_letter_spacing).'px;';
	$summer_camp_custom_css .='}';

	$summer_camp_button_footer_font_size = get_theme_mod('summer_camp_button_footer_font_size','30');
	$summer_camp_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$summer_camp_custom_css .='font-size: '.esc_attr($summer_camp_button_footer_font_size).'px;';
	$summer_camp_custom_css .='}';

	$summer_camp_theme_lay = get_theme_mod( 'summer_camp_button_footer_text_transform','Capitalize');
	if($summer_camp_theme_lay == 'Capitalize'){
		$summer_camp_custom_css .='#footer h3{';
			$summer_camp_custom_css .='text-transform:Capitalize;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Lowercase'){
		$summer_camp_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$summer_camp_custom_css .='text-transform:Lowercase;';
		$summer_camp_custom_css .='}';
	}
	if($summer_camp_theme_lay == 'Uppercase'){
		$summer_camp_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$summer_camp_custom_css .='text-transform:Uppercase;';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_footer_heading_weight = get_theme_mod('summer_camp_footer_heading_weight','600');
	if($summer_camp_footer_heading_weight != false){
		$summer_camp_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$summer_camp_custom_css .='font-weight: '.esc_attr($summer_camp_footer_heading_weight).';';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_responsive_preloader_hide = get_theme_mod('summer_camp_responsive_preloader_hide',false);
	if($summer_camp_responsive_preloader_hide == true && get_theme_mod('summer_camp_loader_enable',false) == false){
		$summer_camp_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$summer_camp_custom_css .='display:none !important;';
		$summer_camp_custom_css .='} }';
	}

	if($summer_camp_responsive_preloader_hide == false){
		$summer_camp_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$summer_camp_custom_css .='display:none !important;';
		$summer_camp_custom_css .='} }';
	}

	$summer_camp_resp_topbar = get_theme_mod( 'summer_camp_resp_topbar_hide_show',true);
	if($summer_camp_resp_topbar == true && get_theme_mod( 'summer_camp_hide_show_topbar_section', true) == false){
    	$summer_camp_custom_css .='.top-header{';
			$summer_camp_custom_css .='display:none;';
		$summer_camp_custom_css .='} ';
	}
    if($summer_camp_resp_topbar == true){
    	$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='.top-header{';
			$summer_camp_custom_css .='display:block;';
		$summer_camp_custom_css .='} }';
	}else if($summer_camp_resp_topbar == false){
		$summer_camp_custom_css .='@media screen and (max-width:575px) {';
		$summer_camp_custom_css .='.top-header{';
			$summer_camp_custom_css .='display:none;';
		$summer_camp_custom_css .='} }';
	}

	$summer_camp_breadcrumbs_alignment = get_theme_mod( 'summer_camp_breadcrumbs_alignment','Left');
    if($summer_camp_breadcrumbs_alignment == 'Left'){
    	$summer_camp_custom_css .='@media screen and (min-width:768px) {';
		$summer_camp_custom_css .='.breadcrumbs{';
			$summer_camp_custom_css .='text-align:start;';
		$summer_camp_custom_css .='}}';
	}else if($summer_camp_breadcrumbs_alignment == 'Center'){
		$summer_camp_custom_css .='@media screen and (min-width:768px) {';
		$summer_camp_custom_css .='.breadcrumbs{';
			$summer_camp_custom_css .='text-align:center;';
		$summer_camp_custom_css .='}}';
	}else if($summer_camp_breadcrumbs_alignment == 'Right'){
		$summer_camp_custom_css .='@media screen and (min-width:768px) {';
		$summer_camp_custom_css .='.breadcrumbs{';
			$summer_camp_custom_css .='text-align:end;';
		$summer_camp_custom_css .='}}';
	}

	$summer_camp_sticky_sidebar = get_theme_mod( 'summer_camp_sticky_sidebar',false);
	if($summer_camp_sticky_sidebar == true && get_theme_mod( 'summer_camp_sticky_sidebar',false) != true){
    	$summer_camp_custom_css .='#sidebar{';
			$summer_camp_custom_css .='position:static;';
		$summer_camp_custom_css .='} ';
	}

	$summer_camp_show_first_caps = get_theme_mod('summer_camp_show_first_caps', false);
	if ($summer_camp_show_first_caps ) {
	    $summer_camp_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $summer_camp_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $summer_camp_custom_css .='}';
	} else {
		$summer_camp_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $summer_camp_custom_css .= 'display: none;';
	    $summer_camp_custom_css .='}';
	}

	// Web Frame 
	$summer_camp_web_frame = get_theme_mod('summer_camp_web_frame',false);
	if($summer_camp_web_frame == false && get_theme_mod( 'summer_camp_web_frame',false) != true){
		$summer_camp_custom_css .='.web-frame{';
		$summer_camp_custom_css .='border: 1px !important';
		$summer_camp_custom_css .='}';
	}

	$summer_camp_web_frame_border_color = get_theme_mod('summer_camp_web_frame_border_color');
	if($summer_camp_web_frame_border_color != false){
		$summer_camp_custom_css .='.web-frame{';
			$summer_camp_custom_css .='border-color: '.esc_attr($summer_camp_web_frame_border_color).'!important;';
		$summer_camp_custom_css .='}';
	}
    
	$summer_camp_web_frame_border_width = get_theme_mod('summer_camp_web_frame_border_width');
	if($summer_camp_web_frame_border_width != false){
		$summer_camp_custom_css .='.web-frame{';
			$summer_camp_custom_css .='border-width: '.esc_attr($summer_camp_web_frame_border_width).'!important;';
		$summer_camp_custom_css .='}';
	}

	// change the Category style //
	$summer_camp_single_post_styling = get_theme_mod( 'summer_camp_single_post_styling','Button');
		if($summer_camp_single_post_styling == 'Underline'){
		$summer_camp_custom_css .='.single-post-category .post-categories li a{';
			$summer_camp_custom_css .='text-decoration: underline; color: #000; background-color: transparent;';
		$summer_camp_custom_css .='}';
	}
	else if($summer_camp_single_post_styling == 'Default'){
		$summer_camp_custom_css .='.single-post-category .post-categories li a{';
			$summer_camp_custom_css .='text-decoration: none; color: #000; background-color: transparent;';
		$summer_camp_custom_css .='}';
	}
	// Hover on featured image //
	$summer_camp_show_featured = get_theme_mod( 'summer_camp_featured_image_hide_show', 1 );
	$summer_camp_hover_effect  = get_theme_mod( 'summer_camp_featured_image_hover', 'none' );

	if ( $summer_camp_show_featured && $summer_camp_hover_effect !== 'none' ) {

		$summer_camp_custom_css .= '
		.summer-camp-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $summer_camp_hover_effect === 'zoom-in' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $summer_camp_hover_effect === 'zoom-out' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image img{
				transform: scale(1.2);
			}
			.summer-camp-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $summer_camp_hover_effect === 'grayscale' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image img{
				filter: grayscale(100%);
			}
			.summer-camp-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $summer_camp_hover_effect === 'sepia' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $summer_camp_hover_effect === 'blur' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $summer_camp_hover_effect === 'bright' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $summer_camp_hover_effect === 'translate' ) {
			$summer_camp_custom_css .= '
			.summer-camp-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}